Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False), NonPersistent> _
Public Class DeliveryNoteInToRegistry
    Inherits BaseObject

    Private _RegistryType As RegistryType 'Iktatás típusa
    Private _F_CustomerBankAccounts As CustomerBankAccounts
    Private _RegistryNumber As String
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    Property RegistryType As RegistryType
        Get
            Return _RegistryType
        End Get
        Set(value As RegistryType)
            SetPropertyValue("RegistryType", _RegistryType, value)
        End Set
    End Property
    Property F_CustomerBankAccounts As CustomerBankAccounts
        Get
            Return _F_CustomerBankAccounts
        End Get
        Set(value As CustomerBankAccounts)
            SetPropertyValue("F_CustomerBankAccounts", _F_CustomerBankAccounts, value)
        End Set
    End Property
    Property RegistryNumber As String
        Get
            Return _RegistryNumber
        End Get
        Set(value As String)
            SetPropertyValue("RegistryNumber", _RegistryNumber, value)
        End Set
    End Property
End Class
